import { Observable } from "rxjs";
import { HttpService } from "@justbe-angular/jb-http";
import { AuthDataHandlerService } from "./auth-data-handler.service";
import { AutherService } from "@justbe-angular/jb-auther";
import { AfterLoginHandlerService } from "./after-login-handler.service";
import { GenNHandleInputParamsModel } from "../models/gen-n-handle-input-params.model";
import { HandleInputParamsModel } from "../models/handle-input-params.model";
export declare class TokenGenHandleService {
    private httpService;
    private autherService;
    private authDataHandler;
    private afterLoginHandle;
    constructor(httpService: HttpService, autherService: AutherService, authDataHandler: AuthDataHandlerService, afterLoginHandle: AfterLoginHandlerService);
    genNHandle(gnhInputParamsModel: GenNHandleInputParamsModel): Observable<{}>;
    handle(hInputParams: HandleInputParamsModel): Observable<{}>;
    private continueHandle(authType, jbgenToken, profile);
    private getProfile(api);
}
